## org.hornetq.api.jms.management
Class SubscriptionInfo

    java.lang.Object
      org.hornetq.api.jms.management.SubscriptionInfo

    public class SubscriptionInfo

extends Object

Helper class to create Java Objects from the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.

Author:
  Jeff Mesnil

Method Summary
`static SubscriptionInfo[]` `from(String jsonString)` Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.
`String` `getClientID()` Returns the client ID of this subscription or `null`.
`int` `getDeliveringCount()` Returns the number of messages currently delivered to this subscription.
`int` `getMessageCount()` Returns the number of messages currently held by this subscription.
`String` `getName()` Returns the name of this subscription.
`String` `getQueueName()` Returns the name of the HornetQ core queue corresponding to this subscription.
`String` `getSelector()` Returns the JMS message selector associated to this subscription.
`boolean` `isDurable()` Returns whether this subscription is durable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### from

    public static SubscriptionInfo[] from(String jsonString)
                                   throws Exception

  Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.

  Throws:
    `Exception`

### getQueueName

    public String getQueueName()

  Returns the name of the HornetQ core queue corresponding to this subscription.

### getClientID

    public String getClientID()

  Returns the client ID of this subscription or `null`.

### getName

    public String getName()

  Returns the name of this subscription.

### isDurable

    public boolean isDurable()

  Returns whether this subscription is durable.

### getSelector

    public String getSelector()

  Returns the JMS message selector associated to this subscription.

### getMessageCount

    public int getMessageCount()

  Returns the number of messages currently held by this subscription.

### getDeliveringCount

    public int getDeliveringCount()

  Returns the number of messages currently delivered to this subscription.

Copyright © 2009 Red Hat Inc. All Rights Reserved.